import static java.lang.Integer.min;
import java.util.ArrayList;
import java.util.Scanner;

public class Nz {
static boolean smaller(String sa,String sb){
    for (int i = 0; i < min(sa.length(),sb.length()); i++) {
        if (sa.charAt(i)<sb.charAt(i)){
            return true;
        }
        if (sa.charAt(i)>sb.charAt(i)){
            return false;
        }
    }
    if (sa.length()<sb.length()){
        return true;
    } else {
        return false;
    }
}
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        int n = sc.nextInt();
        int k = sc.nextInt();
        String[] a = new String[n];
        for (int i = 0; i < n; i++) {
            a[i] = Integer.toString(sc.nextInt());
        }
        String[] s = new String[n];
        for (int i = 0; i < n; i++) {

            String t;
            t ="";
            for (int j = 0; j < n; j++) {
                if (i!=j)
                    t+=a[j];
            }
            s[i] = t;
        }
        String min = "9999999999";
        int mini=-1;
        for (int i = 0; i < n; i++) {
            if (smaller(s[i],min)){
                min=s[i];
                mini = i;
            }
        }
        for (int i = 0; i < n; i++) {
            if (i!=mini){
                System.out.print(a[i]+" ");
            }
        }
    }

}